Summary: Convert dxf files to xfig format
Name: dxf2fig
Version: 2.13
Release: %mkrel 15
Source0: %{name}-%{version}.tar.bz2
Patch0: dxf2fig-format-string.patch
Patch1: dxf2fig-fix-build-with-gcc15.patch
License: GPL
Group: Graphics/Editors and Converters
Url: http://ta.twi.tudelft.nl/ftp/dv/lemmens/

%description
dxf2fig parses Autocad DXF input, then calls external
routines to do either plotting or a fig conversion for xfig.
The conversion is fairly complete. Layers (depths in xfig),
blocks (compounds in xfig), colors, and linetypes are roughly
preserved in the output file. 

%prep
%setup -q
%autopatch -p0

%build
%make_build  CFLAGS="%{optflags} -DVERSION=\\\"\$(VERSION)\\\" -DMODDATE=\\\"\$(MODDATE)\\\""

%install
mkdir -p %buildroot%_bindir
cp dxf2fig %buildroot%_bindir

%files
%doc README TODO Changelog
%_bindir/dxf2fig



%changelog
* Tue May 13 2025 ns80 <ns80> 2.13-15.mga10
+ Revision: 2183077
- try to fix building with GCC 15

* Tue Mar 15 2022 umeabot <umeabot> 2.13-14.mga9
+ Revision: 1791831
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.13-13.mga8
+ Revision: 1511998
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.13-12.mga7
+ Revision: 1297539
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macro

* Fri Feb 05 2016 umeabot <umeabot> 2.13-11.mga6
+ Revision: 936467
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.13-10.mga5
+ Revision: 740419
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.13-9.mga5
+ Revision: 678897
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.13-8.mga4
+ Revision: 521724
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 2.13-7.mga3
+ Revision: 391808
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 nanardon <nanardon> 2.13-5.mga1
+ Revision: 96487
- imported package dxf2fig


* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.13-5mdv2009.0
+ Revision: 240637
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 2.13-3mdv2008.0
+ Revision: 68474
- rebuild


* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/05/06 14:10:22 (53273)
- rebuild

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/05/06 14:08:41 (53272)
Import dxf2fig

* Sat Mar 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2.13-1mdk
- 2.13

* Thu Mar 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.10-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- New release

* Sun Jan 11 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.07-1mdk
- initial release

